add-pssnapin Symantec.CSM.PS.Tags.SnapIn
add-pssnapin Symantec.CSM.PS.Assets.SnapIn
clear-host
#Binding Type (BindingType)
# 1. NETTCP (Default)
# 2. HTTPS
# 3. HTTP 

#Default Port Number
# NetTcp = 1431
# HTTPS = 12431
# HTTP =  <No Port number req>

$AppServerNameAndPort="localhost:1431" # <ServerName:Port> 

$AssetsGuid= @()
$Assets = Search-Assets -Filter {("displayname,startswith,e2e")} -SearchsubTree $True -AssetType "symc-csm-AssetSystem-Asset-Wnt-Machine" 
foreach($asset in $Assets)
{
    $AssetsGuid += $asset.ID
}

Search-Tags -Category "Windows Machine" -PipingEnabled $True | 
Add-Tags -ObjectGuids $AssetsGuid -ObjectType "Windows Machine"

remove-pssnapin Symantec.CSM.PS.Assets.SnapIn
remove-pssnapin Symantec.CSM.PS.Tags.SnapIn



