add-pssnapin Symantec.CSM.PS.Tags.SnapIn
add-pssnapin Symantec.CSM.PS.Assets.SnapIn
clear-host
#Binding Type (BindingType)
# 1. NETTCP (Default)
# 2. HTTPS
# 3. HTTP 

#Default Port Number
# NetTcp = 1431
# HTTPS = 12431
# HTTP =  <No Port number req>

$AppServerNameAndPort="localhost:1431" # <ServerName:Port> 

$Tags = Search-Tags -Category "Default" -Name "Tag-D"

$AssetsGuid= @()
$Assets = Search-Assets -Filter {("displayname,startswith,e2e")} -SearchsubTree $True -AssetType "Windows Machine" 
foreach($asset in $Assets)
{
    $AssetsGuid += $asset.ID
}

Write-Host("=====================================================================")  
Write-Host("Cmdlets: Remove-Tags") 
Write-Host("=====================================================================")  


Remove-tags -Tags $Tags -ObjectType "Windows Machine"  -ObjectGuids $AssetsGuid 

remove-pssnapin Symantec.CSM.PS.Assets.SnapIn
remove-pssnapin Symantec.CSM.PS.Tags.SnapIn



